# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2007-TODAY ASPerience SARL (<https://www.asperience.fr>).
#    All Rights Reserved
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

import time
from osv import osv

class account_invoice(osv.osv):
    _inherit = "account.invoice"
    
    def action_date_assign(self, cr, uid, ids, *args):
        for inv in self.browse(cr, uid, ids):
            res = {}
            
            if not inv.number and not inv.internal_number :
                date_invoice = time.strftime('%Y-%m-%d')
                res.update({'date_invoice': date_invoice})
            else:
                date_invoice = inv.date_invoice
            vals = self.onchange_payment_term_date_invoice(cr, uid, inv.id, inv.payment_term.id, date_invoice)
            if vals and vals['value']: 
                res.update(vals['value'])
            if res and ('date_invoice' in res and res['date_invoice']) and (not 'date_due' in res or not res['date_due']):
                res['date_due'] = res['date_invoice']
            if res:
                self.write(cr, uid, [inv.id], res)
                
        return True

account_invoice()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4: